- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LAP::TabRow Struct Reference

`#include <CglLandPTabRow.hpp>`

Inheritance diagram for LAP::TabRow:

[legend]
Collaboration diagram for LAP::TabRow:

[legend]
List of all members.

## Public Member Functions
| TabRow (const CglLandPSimplex *si)
| TabRow (const TabRow &source)
| ~TabRow ()
void | print (std::ostream &os, int width=9, const int *nonBasics=NULL, int m=0)
const double & | operator[] (const int &index) const
double & | operator[] (const int &index)
## Public Attributes
int | num
| Row number.
double | rhs
| Row right-hand-side.
const CglLandPSimplex * | si_
| Row of what?

## Detailed Description

Definition at line 16 of file CglLandPTabRow.hpp.

## Constructor & Destructor Documentation

LAP::TabRow::TabRow | ( | const CglLandPSimplex * | si | ) | `[inline]`

Definition at line 25 of file CglLandPTabRow.hpp.

LAP::TabRow::TabRow | ( | const TabRow & | source | ) | `[inline]`

Definition at line 27 of file CglLandPTabRow.hpp.

LAP::TabRow::~TabRow | ( |  | ) | `[inline]`

Definition at line 30 of file CglLandPTabRow.hpp.

## Member Function Documentation

void LAP::TabRow::print | ( | std::ostream & | os,
|  | int | width = `9`,
|  | const int * | nonBasics = `NULL`,
|  | int | m = `0` |
| ) |  |  |

const double& LAP::TabRow::operator[] | ( | const int & | index | ) | const`[inline]`

Definition at line 36 of file CglLandPTabRow.hpp.

References CoinIndexedVector::denseVector().

double& LAP::TabRow::operator[] | ( | const int & | index | ) | `[inline]`

Definition at line 41 of file CglLandPTabRow.hpp.

References CoinIndexedVector::denseVector().

## Member Data Documentation

int LAP::TabRow::num

Row number.

Definition at line 18 of file CglLandPTabRow.hpp.

double LAP::TabRow::rhs

Row right-hand-side.

Definition at line 20 of file CglLandPTabRow.hpp.

const CglLandPSimplex* LAP::TabRow::si_

Row of what?

Definition at line 22 of file CglLandPTabRow.hpp.

The documentation for this struct was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/Cgl/src/CglLandP/CglLandPTabRow.hpp